Subject: Timestamps vs. nonces

From: Pekka Nikander <[email-masked]>
Date: Mon, 14 Apr 2003 09:43:56 +0300

In last weeks phone meeting I promised to write up
something about the problems with timestamps.

In the first look, coarse grained timestamps look
like a good idea.  If we can assume that the nodes
have roughly the same idea of time, then it is easy
to ignore old messages and therefore mitigate replay
attacks.  If a node is running in the past, it does
not cause any harm, since its messages will be ignored.

However, if a node has a wrong notion of the time so
that they run in the future, this is a problem.
Firstly, the host ignores all other hosts since it
thinks that they are doing replay attacks or running
in the past.  Secondly, and more importantly, the node
itself becomes vulnerable to a replay attack.  This may
be or may not be a problem, depending on what are the
consequences of such a replay attack.

The real problem lies in synchornizing the clocks
whenever the nodes detect that they are likely to run
with a wrong notion of time.  Just adjusting to whatever
the other nodes are using does not work, since it would
make the node vulnerable to someone fooling around with
its notion of time, in a preparation of an attack.

If we could assume a human to adjust the time whenever
it is wrong, I think timestamps would be acceptable.
But can we do that?  I thought that our goal is zero
configuration, more or less.  Requiring human intervention
whenever a node looses its idea of the current time does
not sound like a good design.

Thus, IMHO, we should aim for not using timestamps.
I'd rather leave out or re-design functionality that
would require timestamps, or maybe even leave such
functionality vulnerable to some (non-severe) replay
attacks.

--Pekka

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------